# -*- coding: utf-8 -*-
import logging

from flask import Flask

app = Flask(__name__)
app.config.from_object('odfcast.settings')
app.config.from_envvar('ODFCAST_SETTINGS', silent=True)

if app.config["DEBUG"]:
    logging.basicConfig(level=logging.DEBUG)

from odfcast.convert import ConvertView, TemplateConvertView, MergeView


app.add_url_rule("/convert/",
                 view_func=ConvertView.as_view(
                     "convert",
                     app.config["PY3O_UNO_DRIVER"],
                     app.config["PY3O_UNO_SERVER_HOSTNAME"],
                     app.config["PY3O_UNO_SERVER_PORT"],
                 ))
app.add_url_rule("/template/",
                 view_func=TemplateConvertView.as_view(
                     "template",
                     app.config["PY3O_UNO_DRIVER"],
                     app.config["PY3O_UNO_SERVER_HOSTNAME"],
                     app.config["PY3O_UNO_SERVER_PORT"],
                 ))
app.add_url_rule("/merge/",
                 view_func=MergeView.as_view("merge"),
                 )

if __name__ == "__main__":
    app.run()
